# BaseVaultFactory

**Inherits:** IBaseVaultFactory, BaseVaultDeployer, Sweepable

Used to deploy new BaseVault instances

*Only one instance of the factory will be required per chain*

## Functions

### constructor

```solidity
constructor(address initialOwner, Authority initialAuthority) Sweepable(initialOwner, initialAuthority);
```

### create

Create a new vault with the given parameters

```solidity
function create(
    bytes32 salt,
    string calldata description,
    BaseVaultParameters calldata baseVaultParams,
    address expectedVaultAddress
) external override requiresAuth returns (address deployedVault);
```

**Parameters**

| Name                   | Type                  | Description                            |
| ---------------------- | --------------------- | -------------------------------------- |
| `salt`                 | `bytes32`             | The salt value to use for create2      |
| `description`          | `string`              | Vault description                      |
| `baseVaultParams`      | `BaseVaultParameters` | Parameters for vault deployment        |
| `expectedVaultAddress` | `address`             | Expected address of the deployed vault |

**Returns**

| Name            | Type      | Description                   |
| --------------- | --------- | ----------------------------- |
| `deployedVault` | `address` | Address of the deployed vault |

### \_deployVault

Deploy vault

```solidity
function _deployVault(bytes32 salt, string calldata description, BaseVaultParameters calldata baseVaultParams)
    internal
    returns (address deployed);
```

**Parameters**

| Name              | Type                  | Description                     |
| ----------------- | --------------------- | ------------------------------- |
| `salt`            | `bytes32`             | The salt value to create vault  |
| `description`     | `string`              | Vault description               |
| `baseVaultParams` | `BaseVaultParameters` | Parameters for vault deployment |

**Returns**

| Name       | Type      | Description                   |
| ---------- | --------- | ----------------------------- |
| `deployed` | `address` | The address of deployed vault |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aera.finance/the-protocol/core/basevaultfactory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
